Bug 179017 - New port: sysutils/rcadm utility for administrating rc.conF
New port: sysutils/rcadm utility for administrating rc.conF
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 18:50 UTC by Reinier
Modified: 2014-08-21 18:53 UTC (History)
2 users (show)

See Also:


Attachments
rcadm.shar (1.80 KB, text/plain)
2013-05-27 18:50 UTC, Reinier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Reinier 2013-05-27 18:50:00 UTC
	simple shell based utility for easily administrating rc.conf
Comment 1 Martin Wilke freebsd_committer 2013-06-22 16:26:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Bryan Drewery freebsd_committer 2013-09-22 15:09:23 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 3 John Marino freebsd_committer 2014-08-07 14:04:45 UTC
Hi, if you are still interested in having this port in FreeBSD, it needs to be reworked to support stage.  
See http://lists.freebsd.org/pipermail/freebsd-ports-announce/2014-May/000080.html


Additionally, you need to provide some sort of quality assurance.    
In order of preference, we are looking for:

1) "poudriere testport" or "poudriere bulk -t" logs
2) Redports or tinderbox logs

Please provide an updated shar file and attach a test log.  Alternatively, please indicate if you are no longer interested in having this software in the Ports Collection and that we can close the PR.

Thanks!
Comment 4 commit-hook freebsd_committer 2014-08-21 18:52:24 UTC
A commit references this bug:

Author: adamw
Date: Thu Aug 21 18:51:35 UTC 2014
New revision: 365581
URL: http://svnweb.freebsd.org/changeset/ports/365581

Log:
  Add sysutils/rcadm.

  Utility to administer the rc.conf system configuration file.

  rcadm features:
  * listing current settings
  * enabling/disabling services
  * setting and getting arbitrary variables

  WWW: https://github.com/skoef/rcadm

  PR:		179017
  Submitted by:	Reinier@flash.skoef.net

Changes:
  head/sysutils/Makefile
  head/sysutils/rcadm/
  head/sysutils/rcadm/Makefile
  head/sysutils/rcadm/distinfo
  head/sysutils/rcadm/pkg-descr
Comment 5 Adam Weinberger freebsd_committer 2014-08-21 18:53:42 UTC
Committed with modifications including staging. I had to remove the LICENSE as LICENSE=BSD is invalid. Please submit another PR with an update LICENSE name (BSD2CLAUSE, 3CLAUSE, 4CLAUSE, etc.). Also you may want to consider adding a manpage or at least some sort of documentation on what the app is doing.